Page MenuHomeSolus

Update Mono to latest version?
Closed, ResolvedPublic

Description

Hello,

I really do not want to bother anyone with this again, but I wanted to see if there was anything that could be done after I messed up with the mono-complete package request not realizing that was a Debian only package instead of a universal package.

I have found that the reason the script I am trying to use does not work because is I am trying to use it with an older version of the mono runtime (It needs the 4.6 and up version of mono. Like I said in my last request, I am loving Solus and would hate to have to switch distros just for this one thing.

I have tried to compile the version I need from the tarball on the Mono site, but had no luck. Even with having automake, make, gcc, make, g++, etc. installed, the tarball did not work and I am very surprised it did not.

If for whatever reason, the mono version in the repo cannot be updated; I completely understand and will find some way to work around this.

Thank you for reading and I hope to hear from someone soon.

Event Timeline

DataDrake closed this task as Resolved.Dec 30 2016, 3:56 PM
DataDrake claimed this task.
DataDrake added a subscriber: DataDrake.

Landed in unstable:

https://git.solus-project.com/packages/mono/commit/?id=b6fa781722c09e56fe6dea1ac4943d1e5dce0325

I still have to rebuild some of the related utilities, but mono itself is up to date now.

Thank you so much!! I really appreciate it :)